ApplicationHandler(3)

NAME
ApplicationHandler - Application objects modification methods.

SYNOPSIS

#include <iqueue.h>

Inherited by MembershipBookkeeping.

  Public Member Functions

void addParticipant (RTPApplication &app, Participant &part)
void removeParticipant (RTPApplication &app, RTPApplication::ParticipantLink *pl)

  Protected Member Functions

ApplicationHandler ()
virtual ~ApplicationHandler ()

Detailed Description

Application objects modification methods.

Author:
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  ApplicationHandler::ApplicationHandler () [inline], [protected]

  virtual ApplicationHandler::~ApplicationHandler () [inline], [protected], [virtual]

Member Function Documentation

  void ApplicationHandler::addParticipant (RTPApplication & app, Participant & part) [inline]

  void ApplicationHandler::removeParticipant (RTPApplication & app, RTPApplication::ParticipantLink * pl) [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.